Bug 1260286 - [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
[abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:055c53e3e4bece76a4a67e078bc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 10:55 EDT by Ali
Modified: 2016-07-19 13:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.58 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: core_backtrace (9.32 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: dso_list (13.46 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: environ (2.56 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: maps (68.25 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: open_fds (2.23 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details
File: var_log_messages (380 bytes, text/plain)
2015-09-05 10:55 EDT, Ali
no flags Details

  None (edit)
Description Ali 2015-09-05 10:55:29 EDT
Description of problem:
Sudden crash after waking my laptop from sleep.

Version-Release number of selected component:
remmina-1.2.0-0.5.git.b3237e8.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        remmina
crash_function: g_type_check_instance_cast
executable:     /usr/bin/remmina
global_pid:     3164
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4055
 #1 rf_queue_ui at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_plugin.c:119
 #2 remmina_rdp_cliprdr_monitor_ready at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_cliprdr.c:324
 #3 cliprdr_process_monitor_ready at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:217
 #4 cliprdr_order_recv at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:359
 #5 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:778
 #6 thread_launcher at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/thread/thread.c:257
Comment 1 Ali 2015-09-05 10:55:33 EDT
Created attachment 1070487 [details]
File: backtrace
Comment 2 Ali 2015-09-05 10:55:34 EDT
Created attachment 1070488 [details]
File: cgroup
Comment 3 Ali 2015-09-05 10:55:36 EDT
Created attachment 1070489 [details]
File: core_backtrace
Comment 4 Ali 2015-09-05 10:55:37 EDT
Created attachment 1070490 [details]
File: dso_list
Comment 5 Ali 2015-09-05 10:55:38 EDT
Created attachment 1070491 [details]
File: environ
Comment 6 Ali 2015-09-05 10:55:40 EDT
Created attachment 1070492 [details]
File: limits
Comment 7 Ali 2015-09-05 10:55:42 EDT
Created attachment 1070493 [details]
File: maps
Comment 8 Ali 2015-09-05 10:55:43 EDT
Created attachment 1070494 [details]
File: mountinfo
Comment 9 Ali 2015-09-05 10:55:44 EDT
Created attachment 1070495 [details]
File: namespaces
Comment 10 Ali 2015-09-05 10:55:45 EDT
Created attachment 1070496 [details]
File: open_fds
Comment 11 Ali 2015-09-05 10:55:46 EDT
Created attachment 1070497 [details]
File: proc_pid_status
Comment 12 Ali 2015-09-05 10:55:48 EDT
Created attachment 1070498 [details]
File: var_log_messages
Comment 13 Pavel Alexeev 2015-11-07 11:26:53 EST
 #0 g_type_check_instance_cast at gtype.c:4055
is glib runtime fault.
Reasigning.
Comment 14 Fedora End Of Life 2016-07-19 13:47:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.